> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Last Idle State

> Returns data associated with when a vehicle last stopped driving or charging.



## OpenAPI

````yaml get /{vin}/last_idle_state
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/last_idle_state:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Last Idle State
      description: >-
        Returns data associated with when a vehicle last stopped driving or
        charging.
      operationId: get-last-idle-state
      parameters:
        - $ref: '#/components/parameters/vin'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      timestamp:
                        type: integer
                      battery_level:
                        type: integer
                      usable_battery_level:
                        type: integer
                      battery_range:
                        type: number
                      est_battery_range:
                        type: number
                      ideal_battery_range:
                        type: integer
                x-examples:
                  Example 1:
                    result:
                      timestamp: 1675173627
                      battery_level: 68
                      usable_battery_level: 68
                      battery_range: 204.96
                      est_battery_range: 165.47
                      ideal_battery_range: 999
              examples:
                Example 1:
                  value:
                    result:
                      timestamp: 1675173627
                      battery_level: 68
                      usable_battery_level: 68
                      battery_range: 204.96
                      est_battery_range: 165.47
                      ideal_battery_range: 999
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````